Bug 177720 - problem building scim on ppc
problem building scim on ppc
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-01-13 07:01 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-18 21:51:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-01-13 07:01:04 EST
Description of problem:
I'm not certain if this is glib's fault or not, but SCIM doesn't seem to build
with current rawhide: there are compile errors for the G_LOCK macros.  

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. rebuild scim on ppc
Actual results:
For example:
scim_panel_gtk.cpp:2335: error: invalid conversion from '_GMutex**' to 'void*
scim_panel_gtk.cpp:2335: error:   initializing argument 1 of 'void*
g_atomic_pointer_get(void* volatile*)'
scim_panel_gtk.cpp:2337: error: invalid conversion from '_GMutex**' to 'void*
scim_panel_gtk.cpp:2337: error:   initializing argument 1 of 'void*
g_atomic_pointer_get(void* volatile*)'
<other g_lock errors>

Expected results:
No errors.

Additional info:
2335:  G_LOCK (_global_resource_lock);
2337:  G_UNLOCK (_global_resource_lock);

This is with scim-1.4.4-1 in package cvs:
which builds fine on i386 and x86_64.
Comment 1 Matthias Clasen 2006-01-13 08:16:59 EST
Thats odd, since glib itself also uses G_LOCK and G_UNLOCK, and built fine on
all arches
Comment 2 Akira TAGOH 2006-01-16 07:14:08 EST
It's because scim was built by g++, but not gcc?
Comment 3 Jens Petersen 2006-01-18 21:51:17 EST
It built yesterday anyway: not sure if it was buildroot breakage or fixes
waiting for the buildroots to be unlocked after fc5t2.

Note You need to log in before you can comment on or make changes to this bug.